//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "Unit1.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
: TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormPaint(TObject *Sender)
{
  Canvas->Brush->Color = clBlack;
  Canvas->FillRect(Canvas->ClipRect);

  Canvas->Pen->Color = clLime;
  int i = 0;
  while (i < Screen->Height) {
    Canvas->MoveTo(0, i);
    Canvas->LineTo(Screen->Width, Screen->Height - i);

    i += FStep;
  }

  Canvas->Brush->Style = bsClear;
  Canvas->Font->Size = 20;
  Canvas->Font->Color = clRed;
  Canvas->TextOut(10, 10, Format("Step Number: %d", OPENARRAY(TVarRec, (FStep))));
}
//---------------------------------------------------------------------------

void __fastcall TForm1::FormCreate(TObject *Sender)
{
  FStep = 1;
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
  switch (Key) {
    case VK_UP: FStep++;
                break;

    case VK_DOWN: if (FStep > 1) FStep--;
                  break;

    case VK_SPACE: FStep = 1;
                   break;

    default: return;
  }

  Invalidate();
}
//---------------------------------------------------------------------------
